Name:		zz_apache_use_clogger
Version:	1.0
Release:	1%{?dist}
Summary:	Change the default httpd.conf to use clogger and local logging

Group:		Fermi
License:	GPL
URL:		http://fermilinux.fnal.gov
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch

Requires:	redhat-release = %{rhel}
%if %{rhel} == 5
Requires:	rsyslog5
Requires(post):	rsyslog5
BuildRequires:	selinux-policy-devel
%else
Requires:	rsyslog
BuildRequires:	selinux-policy
%endif
Requires:	selinux-policy-targeted
Requires:	policycoreutils
Requires:	coreutils
Requires:	httpd
Requires:	/bin/bash

Requires:	zz_use_clogger >= 1.1-4

Requires:	augeas >= 0.9.0-5

Requires:	/usr/bin/logger

Requires(post):	/bin/bash
Requires(preun):	/bin/bash

%description
This package will reconfigure the default /etc/httpd/conf/httpd.conf
to use clogger in addition to the traditional /var/log/httpd/ logging.

The defaults will be changed to

ErrorLog "| /usr/bin/logger  -thttpd -plocal6.err"
CustomLog "| /usr/bin/logger  -thttpd -plocal6.notice" combined

We cannot use the native syslog facility as it changes the file format.
The change in format will render existing log parsers un-usable.

This package uses rsyslog.  On SL5 systems rsyslog will be started
in place of sysklogd when this package is installed.

%prep
%setup

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rsyslog.d/
cp rsyslogd_httpd.conf %{buildroot}/etc/rsyslog.d/

chmod 644 %{buildroot}/etc/rsyslog.d/*

mkdir -p %{buildroot}/%{_docdir}/%name-%version/
cp httpd-use-clogger.sh %{buildroot}/%{_docdir}/%name-%version/
chmod 755 %{buildroot}/%{_docdir}/%name-%version/*.sh

cd selinux
make -f /usr/share/selinux/devel/Makefile
cp *.pp %{buildroot}/%{_docdir}/%name-%version/
chmod 640 %{buildroot}/%{_docdir}/%name-%version/*.pp


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config /etc/rsyslog.d/*
%doc %{_docdir}/%name-%version/*

%post

# load the selinux policy module
semodule -i %{_docdir}/%name-%version/syslog_log_http.pp

%{_docdir}/%name-%version/httpd-use-clogger.sh setup

%if %{rhel} == 5
chkconfig rsyslog on
chkconfig syslog off
service syslog stop
service rsyslog start
%else
# rpmlint likes it when there is an %else
# but we don't actually need one here.... as SL6 uses rsyslog by default
/bin/true
%endif

%preun
%{_docdir}/%name-%version/httpd-use-clogger.sh remove

%changelog
* Wed Jan 30 2013 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build
